Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SGGLSE

    java.lang.Object
      org.netlib.lapack.SGGLSE

    public class SGGLSE

extends java.lang.Object

    SGGLSE is a simplified interface to the JLAPACK routine sgglse.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SGGLSE solves the linear equality-constrained least squares (LSE)
     *  problem:
     *
     *          minimize || c - A*x ||_2   subject to   B*x = d
     *
     *  where A is an M-by-N matrix, B is a P-by-N matrix, c is a given
     *  M-vector, and d is a given P-vector. It is assumed that
     *  P <= N <= M+P, and
     *
     *           rank(B) = P and  rank( (A) ) = N.
     *                                ( (B) )
     *
     *  These conditions ensure that the LSE problem has a unique solution,
     *  which is obtained using a generalized RQ factorization of the
     *  matrices (B, A) given by
     *
     *     B = (0 R)*Q,   A = Z*T*Q.
     *
     *  Arguments
     *  =========
     *
     *  M       (input) INTEGER
     *          The number of rows of the matrix A.  M >= 0.
     *
     *  N       (input) INTEGER
     *          The number of columns of the matrices A and B. N >= 0.
     *
     *  P       (input) INTEGER
     *          The number of rows of the matrix B. 0 <= P <= N <= M+P.
     *
     *  A       (input/output) REAL array, dimension (LDA,N)
     *          On entry, the M-by-N matrix A.
     *          On exit, the elements on and above the diagonal of the array

     *          contain the min(M,N)-by-N upper trapezoidal matrix T.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A. LDA >= max(1,M).
     *
     *  B       (input/output) REAL array, dimension (LDB,N)
     *          On entry, the P-by-N matrix B.
     *          On exit, the upper triangle of the subarray B(1:P,N-P+1:N)
     *          contains the P-by-P upper triangular matrix R.
     *
     *  LDB     (input) INTEGER
     *          The leading dimension of the array B. LDB >= max(1,P).
     *
     *  C       (input/output) REAL array, dimension (M)
     *          On entry, C contains the right hand side vector for the
     *          least squares part of the LSE problem.
     *          On exit, the residual sum of squares for the solution
     *          is given by the sum of squares of elements N-P+1 to M of
     *          vector C.
     *
     *  D       (input/output) REAL array, dimension (P)
     *          On entry, D contains the right hand side vector for the
     *          constrained equation.
     *          On exit, D is destroyed.
     *
     *  X       (output) REAL array, dimension (N)
     *          On exit, X is the solution of the LSE problem.
     *
     *  WORK    (workspace/output) REAL array, dimension (MAX(1,LWORK))
     *          On exit, if INFO = 0, WORK(1) returns the optimal LWORK.
     *
     *  LWORK   (input) INTEGER
     *          The dimension of the array WORK. LWORK >= max(1,M+N+P).
     *          For optimum performance LWORK >= P+min(M,N)+max(M,N)*NB,
     *          where NB is an upper bound for the optimal blocksizes for
     *          SGEQRF, SGERQF, SORMQR and SORMRQ.
     *
     *          If LWORK = -1, then a workspace query is assumed; the routine
     *          only calculates the optimal size of the WORK array, returns
     *          this value as the first entry of the WORK array, and no error
     *          message related to LWORK is issued by XERBLA.
     *
     *  INFO    (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          = 1:  the upper triangular factor R associated with B in the

     *                generalized RQ factorization of the pair (B, A) is
     *                singular, so that rank(B) < P; the least squares
     *                solution could not be computed.
     *          = 2:  the (N-P) by (N-P) part of the upper trapezoidal factor
     *                T associated with A in the generalized RQ factorization
     *                of the pair (B, A) is singular, so that
     *                rank( (A) ) < N; the least squares solution could not
     *                    ( (B) )
     *                be computed.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SGGLSE()`

Method Summary
`static void` | `SGGLSE(int m, int n, int p, float[][] a, float[][] b, float[] c, float[] d, float[] x, float[] work, int lwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SGGLSE

    public SGGLSE()

Method Detail

### SGGLSE

    public static void SGGLSE(int m,
                              int n,
                              int p,
                              float[][] a,
                              float[][] b,
                              float[] c,
                              float[] d,
                              float[] x,
                              float[] work,
                              int lwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD